Name:		tmux
Version:	3.4
Release:	1%{?dist}
Summary:	tmux terminal multiplexer
Group:		Applications/System
License:	ISC
URL:		https://github.com/%{name}/%{name}/wiki
Vendor:		Nicholas Marriott
Source:		https://github.com/%{name}/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
Prefix:		%{_prefix}
Packager: 	Scott Rochford
BuildRoot:	%{_tmppath}/%{name}-root
%if 0%{?rhel} == 6
Requires:	ncurses >= 5, ncurses-libs >= 5, libevent2
%else
Requires:	ncurses >= 5, ncurses-libs >= 5, libevent >= 2
%endif
#Patch:		003_tmux.patch.sig

%description
tmux is a terminal multiplexer. It lets you switch easily between several
programs in one terminal, detach them (they keep running in the background) and
reattach them to a different terminal.

%prep
%setup -q -n %{name}-%{version}
#%patch -p2

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --mandir=%{_mandir} --sysconfdir=/etc

make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.ja COPYING CHANGES
/usr/bin/tmux
/usr/share/man/man1/tmux.1.gz

%changelog
* Sun Apr 28 2024 Scott Rochford <scott+rpmb@galaxy4.net>
- tmux release 3.4.

* Wed Oct 11 2023 Scott Rochford <scott+rpmb@galaxy4.net>
- tmux release 3.3a.

* Tue Jun 07 2022 Scott Rochford <scott+rpmb@galaxy4.net>
- tmux release 3.3.

* Tue Apr 13 2021 Scott Rochford <scott+rpmb@galaxy4.net>
- tmux release 3.2.

* Sat Oct 31 2020 Scott Rochford <scott+rpmb@galaxy4.net>
- Security patch https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/003_tmux.patch.sig

* Sun Jul 26 2020 Scott Rochford <scott+rpmb@galaxy4.net>
- License type corrected.

* Sat Jul 25 2020 Scott Rochford <scott+rpmb@galaxy4.net>
- Initial version.
